-----------------------------------------------------------------------------
-- Stage 3-3
-----------------------------------------------------------------------------
-- GLOBALS
  
function Walk2(name)    
    local animal1;
	animal1 = Entity.FindName(entRoot, name);
	if (animal1) then
    	Animal.SetState(animal1, ST_WPT_WALK);
    	Animal.EnableFear(animal1, false);	
    	end;
    end;  
    
function Graze2(name)    
    local animal3;
	animal3 = Entity.FindName(entRoot, name);
	if (animal3) then
    	Animal.SetState(animal3, ST_GRAZING);
    	Animal.EnableFear(animal3, false);	
    	end;
    end;  
  
-----------------------------------------------------------------------------   

function PostStage()
	
    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);
    EntGame.BindCameraToEntity("IntroCamera");
   
    Sound.Release(smpBoat);
    Sound.Release(smpShoreline);
    Sound.Release(smpBoardWalk);
        
    EntGame.DestroyAllAnimals();
 
    end;    
    
-----------------------------------------------------------------------------    
-- Setup

function Setup()
    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");

    -- load world
    SetupWorld("Maps\\WorldShoreline\\ShorelineCommon.ini", "Maps\\Stage3-3\\Stage3-3.ini","","");
    EntGame.CreatePlayerEntities();
    
    EntGame.SetGlobalDustColorInitial(1.0, 0.61, .58, .45);
    EntGame.SetGlobalDustColorFinal  (0.0, 0.61, .58, .45);

    EntGame.SetStageTimer(240);
    
    -- load sounds
    smpBoat 		= Sound.Load("Sound\\Environment\\BoatInWater1.wav");
    smpShoreline	= Sound.Load("Sound\\Environment\\Shoreline.wav");
    smpBoardWalk	= Sound.Load("Sound\\Environment\\BoardWalking.wav");
    
    EntGame.LoadAnimal(AID_MEERKAT_M);
	EntGame.LoadAnimal(AID_HARE_M);
	EntGame.LoadAnimal(AID_SPURWINGGOOSE_M);
	EntGame.LoadAnimal(AID_RHINO_M);	
	EntGame.LoadAnimal(AID_KUDU_M);
	EntGame.LoadAnimal(AID_KUDU_F);
	EntGame.LoadAnimal(AID_HIPPO_M);
	
	StartupSequence("Music\\Moteff.ogg");
	
    end;

    
-----------------------------------------------------------------------------
function Part1()

	EntGame.SpawnAnimalOnPath(AID_KUDU_F, "Path6", 0, ST_WPT_RUN, 0, 0, 0, 1.3);
	a1=EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongPath1", 0, ST_WPT_WALK, 0, 0, 0, 1.0);
	Entity.SetName(a1, "Kudu1");
	b1=EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongPath1", 1, ST_WPT_WALK, 0, 0, 0, .5);
	Entity.SetName(b1, "Kudu2");
	c1=EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongPath2", 0, ST_WPT_WALK, 0, 0, 0, .4);
	Entity.SetName(c1, "Kudu3");
	d1=EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongPath2", 1, ST_WPT_WALK, 0, 0, 0, 1.0);
	Entity.SetName(d1, "Kudu4");
	EntGame.SpawnAnimalOnPath(AID_KUDU_M, "Path1", 0, ST_WPT_WALK, 0, 0, 0, .8);
	a=EntGame.SpawnAnimalOnPath(AID_RHINO_M, "Path2", 0, ST_WPT_WALK, 10, 0, 0, .5);
	Animal.EnableFear(a, false);

 	Camera.SetTiltOffset(entCamera, 10.0, 0.01);        
	Camera.SetHeightOffset(entCamera, -4, .01);	
	Camera.JumpToWaypoint(entCamera, "CamWptAA");
    Camera.SetSpeed(entCamera, 5.0, .1);
    Camera.StopAtWaypoint(entCamera, "CamWptDD");

    Script.WaitSec(3.0);
    			
    Camera.SetPanOffset(entCamera, -60.0, 1.0); --LOOK LEFT

    Script.WaitSec(4.0);
    EntGame.SpawnAnimalOnPath(AID_KUDU_M, "Path6", 0, ST_WPT_RUN, 0, 0, 0, .8);
    Camera.SetPanOffset(entCamera, 0, 3); --LOOK RIGHT
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_KUDU_F, "Path6", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_KUDU_M, "Path6", 0, ST_WPT_RUN, 0, 0, 0, 1.0);	
    Script.WaitSec(1.5);
    --End of Travel Time
    							
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path6", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
        	
	Camera.SetSpeed(entCamera, 4.0, 0.1); --Boat Decelleration	 
	Script.WaitSec(.25);
	Camera.SetSpeed(entCamera, 3.0, 0.1);	   
	Script.WaitSec(.25);
	Camera.SetSpeed(entCamera, 2.0, 0.1);
	Script.WaitSec(.25);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path6", 0, ST_WPT_RUN, 0, 1, 1.5, 1.2);		
	Camera.SetSpeed(entCamera, 1.0, 0.1); 
	Script.WaitSec(.25);
	Camera.SetSpeed(entCamera, 0.0, 0.1); --Boat Stops
	Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path6", 0, ST_WPT_RUN, 0, -1, -1.5, 1.5);
    	
    Camera.SetHeightOffset(entCamera, -.6, 1.0); --Stands up and exits boat.
    Camera.SetTiltOffset(entCamera, 0, 1.0); 
    Script.WaitSec(1.0);
             		
    Camera.SetSpeed(entCamera, 1.0, 0.1);	 
	Script.WaitSec(.25);
	Camera.SetSpeed(entCamera, 2.0, 0.1);	   
	Script.WaitSec(.25);
	Camera.SetSpeed(entCamera, 3.0, 0.1);
	Camera.SetHeightOffset(entCamera, 0, 1.0);
	animalb=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path4", 0, ST_POPUP, 3, 0, 0, 1.2);
    Animal.SetElvOffset(animalb, -.1); 
    Animal.FaceEntity(animalb, entCamera);		
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath1", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath2", 0, ST_WPT_RUN, 0, 0, 0, .6);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath3", 0, ST_WPT_RUN, 0, 0, 0, .8);
	
    Script.WaitSec(3);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path7", 0, ST_WPT_RUN, 0, 0, 0, 1.2);	
    Script.WaitSec(3);
    animala=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path3", 0, ST_POPUP, 3, 0, 0, 1.0);
    Animal.SetElvOffset(animala, -.1); 
    Animal.FaceEntity(animala, entCamera);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath1", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Script.WaitSec(.5);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath4", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
	Script.WaitSec(.5);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath3", 0, ST_WPT_RUN, 0, 0, 0, .8);

    Script.WaitSec(2); --SHOOT TIME
    
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath2", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Script.WaitSec(1);
  
    Camera.SetSpeed(entCamera, 1.0, 0.1); 
	Camera.StopAtWaypoint(entCamera, "CamWptEE");
    
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath6", 0, ST_WPT_RUN, 0, 0, 0, 1);		
    Script.WaitSec(4);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath8", 0, ST_WPT_RUN, 0, 0, 0, 1);		
    animalb=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path4", 0, ST_POPUP, 3, 0, 0, 1.2);
    Animal.SetElvOffset(animalb, -.1); 
    Animal.FaceEntity(animalb, entCamera);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath7", 0, ST_WPT_RUN, 0, 0, 0, .7);
    Script.WaitSec(3);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath10", 0, ST_WPT_RUN, 0, 0, 0, .7);
    animalc=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path3", 0, ST_POPUP, 2, 0, 0, 1.2);
    Animal.SetElvOffset(animalc, -.1); 
    Animal.FaceEntity(animalc, entCamera); 
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath6", 0, ST_WPT_RUN, 0, 0, 0, .8); 
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path7", 0, ST_WPT_RUN, 0, 0, 0, .8);
	Script.WaitSec(2); 
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath8", 0, ST_WPT_RUN, 0, 0, 0, 1);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath7", 0, ST_WPT_RUN, 0, 0, 0, .8);
	Script.WaitSec(2);	
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath9", 0, ST_WPT_RUN, 0, 0, 0, .6);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath5", 0, ST_WPT_RUN, 0, 0, 0, .8);		 	    
    Script.WaitSec(4);	
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath7", 0, ST_WPT_RUN, 0, 0, 0, .7);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath6", 0, ST_WPT_RUN, 0, 0, 0, .8);	
    animald=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path5", 0, ST_POPUP, 2, 0, 0, .9);
    
    Animal.SetElvOffset(animald, -.1); 
    Animal.FaceEntity(animald, entCamera);	    
    
    Script.WaitSec(2);	
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath9", 0, ST_WPT_RUN, 0, 0, 0, .7);	
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath5", 0, ST_WPT_RUN, 0, 0, 0, .9);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath10", 0, ST_WPT_RUN, 0, 0, 0, .7);
    Script.WaitSec(3);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath8", 0, ST_WPT_RUN, 0, 0, 0, 1);	
    EntGame.SpawnAnimalOnPath(AID_RHINO_M, "LongPath3", 0, ST_WPT_RUN, 0, 0, 0, .4);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath11", 0, ST_WPT_RUN, 0, 0, 0, 1.3);
    Script.WaitSec(1); --TIME TO BLAST WHATEVER LIVES.
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath11", 0, ST_WPT_RUN, 0, 1.5, 1.5, .8);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath11", 0, ST_WPT_RUN, 0, -1.5, -1.5, 1.1); 
    	
    end;    

-----------------------------------------------------------------------------

function Part2()

	--DEBUG
	--Camera.JumpToWaypoint(entCamera, "CamWptEE");
	
	Gone("Kudu1");
	Gone("Kudu2");
	Gone("Kudu3");
	Gone("Kudu4");
	Camera.SetSpeed(entCamera, 3.0, 0.1); 
	Camera.StopAtWaypoint(entCamera, "CamWptHH");
	
    --Script.WaitSec(23); --Total Travel Time 
 	EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongerPath2", 2, ST_WPT_RUN, 0, 0, 0, 1);
 	Script.WaitSec(2);
 	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path11", 0, 0, 1.5, 0, 1.1);	
 	EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongerPath2", 2, ST_WPT_RUN, 0, -2.5, 2.5, .9);
 	Script.WaitSec(1);
 	EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongerPath2", 2, ST_WPT_RUN, 0, 3, 0, 1.2);
 	EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongerPath2", 2, ST_WPT_RUN, 0, 0, -3, 1.1);
  		
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path11", 0, 0, 0, 0, 1.2);	
    EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongerPath2", 2, ST_WPT_RUN, 0, 0, 1, 1);	
    a=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "BunnyPath11", 0, ST_POPUP, 3, 1.8, .2, 1);	
    Animal.SetElvOffset(a, 1.5);
    Animal.SetCoinMode(a, CM_SPAWNREL);
    Script.WaitSec(1);
    EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongerPath2", 2, ST_WPT_RUN, 0, -2.5, 2.5, .9);
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "LongPath2", 0, ST_WPT_RUN, 0, 0, 0, 2.4);	
    Script.WaitSec(1);	
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path10", 0, ST_WPT_RUN, 0, 0, 0, 1.5);
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path8", 0, ST_WPT_RUN, 0, 0, 0, 2.0);
    Script.WaitSec(2);		
    Camera.SetPanOffset(entCamera, -90.0, 1.0);	--LOOK LEFT
    Bunny1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path14", 0, ST_GRAZING, 10, 0, 0, 1.0);
    Animal.EnableFear(Bunny1, false);	
    Script.WaitSec(1);
    a=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "BunnyPath14", 0, ST_WPT_RUN, 0, 0, 0, 2.0);
    Animal.FaceEntity(a, entCamera);
    Script.WaitSec(1);
    b=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "BunnyPath13", 0, ST_WPT_RUN, 0, 0, 0, 2.2);
    Animal.FaceEntity(b, entCamera);
    Script.WaitSec(1.5);
    c=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "BunnyPath12", 0, ST_WPT_RUN, 0, 0, 0, 2.4);
    Animal.FaceEntity(c, entCamera);
    Script.WaitSec(1.0);
    d=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path9", 0, ST_POPUP, 3, 1, 1.8, 1.0);
    Animal.FaceEntity(d, entCamera);
    Animal.SetElvOffset(d, 2.7);
    Animal.SetCoinMode(d, CM_SPAWNREL);
    EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongPath4", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongPath4", 0, ST_WPT_RUN, 0, 2.5, 0, 1.0);
    e=EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongerPath1", 1, ST_WPT_WALK, 0, 0, 0, 1.2);
    Animal.EnableFear(e, false);
    f=EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongerPath1", 2, ST_WPT_WALK, 0, 0, 0, 1.2);
    Animal.EnableFear(f, false);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongPath4", 0, ST_WPT_RUN, 0, 3, 0, 1.2);		
	Camera.SetPanOffset(entCamera, 0, 1.5);	--LOOK RIGHT
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path11", 0, 0, 1.5, 0, 1.2);	
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path11", 0, 0, 0, 0, 1.0);	
    EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongPath4", 0, ST_WPT_RUN, 0, 0, 0, 1.3);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path11", 0, 0, 1.0, 0, 1.1);		
    EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongPath4", 0, ST_WPT_RUN, 0, 2.5, 0, 1.2);	  
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongPath4", 0, ST_WPT_RUN, 0, .5, 0, 1.5);	
    Script.WaitSec(2.0);
    EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongPath4", 0, ST_WPT_RUN, 0, 4, 0, 1.7);
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongPath4", 0, ST_WPT_RUN, 0, -1.5, 0, 1.2);	
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path11", 0, 0, 1.5, 0, 1.1);		
    EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongPath4", 0, ST_WPT_RUN, 0, 0, 0, 1.6);	 
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path11", 0, 0, 0, 0, 1.1);		
    EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongPath4", 0, ST_WPT_RUN, 0, 2.5, 0, 1.5);	  	 
    Script.WaitSec(3);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path11", 0, 0, 2, 0, 1.5);
 	
    Rhino1 = EntGame.SpawnAnimalOnPath(AID_RHINO_M, "LongPath4", 0, ST_WPT_RUN, 0, -1, 0, 1.8);
    Animal.SetChargeWhenShot(Rhino1, true);
	Animal.SetAttackType(Rhino1, ATK_STRAFE);
	Animal.SetStrafeAttackDist(Rhino1, 7);
	Animal.SetPostAttackRand(Rhino1, false);
	Animal.SetPostAttackDir(Rhino1, -90);
	
    Script.WaitSec(1.5);
    EntGame.SpawnAnimalOnPath(AID_RHINO_M, "LongPath4", 0, ST_WPT_RUN, 0, 2.5, 0, 1.6);
	  	  
    Script.WaitSec(1.5);
    Rhino3 = EntGame.SpawnAnimalOnPath(AID_RHINO_M, "LongerPath2", 0, ST_WPT_RUN, 0, 0, 0, 1.5);
	Animal.SetAutoChargeDist(Rhino3, 12);
	Animal.SetAttackType(Rhino3, ATK_STRAFE);
	Animal.SetStrafeAttackDist(Rhino3, 7); 
	Animal.SetPostAttackRand(Rhino3, false);
	Animal.SetPostAttackDir(Rhino3, -90);	 	
		       	
    Script.WaitSec(3.5);
    a1=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path13", 0, ST_POPUP, 10, 0, 1.8, 1.4);
    Animal.FaceEntity(a1, entCamera);
    Animal.SetElvOffset(a1, 14.2);
    Animal.SetCoinMode(a1, CM_SPAWNREL);	   	
    
    Rhino4 = EntGame.SpawnAnimalOnPath(AID_RHINO_M, "LongPath4", 0, ST_WPT_RUN, 0, 2, 0, 1.6);
    Animal.SetChargeWhenShot(Rhino4, true);
	Animal.SetAttackType(Rhino4, ATK_STRAFE);
	Animal.SetStrafeAttackDist(Rhino4, 7);
	Animal.SetPostAttackRand(Rhino4, false);
	Animal.SetPostAttackDir(Rhino4, 90);	 
	  		
    Script.WaitSec(5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 0, 0, 0, 1.2);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 0, 1.5, 0, 1.6);
    Script.WaitSec(1);
    
    Camera.SetSpeed(entCamera, 2.0, 0.1); 
    Camera.StopAtWaypoint(entCamera, "CamWptII");
    
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 0, -2, 0, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 1, .5, 8, 1.3);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 1, 0, 0, 0, 1.6);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 1, 3, 1, 3, 1.3);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 1, -4, -2, 5, 1.0);
    Script.WaitSec(2);
    
    Camera.SetPanOffset(entCamera, 60.0, 2); --LOOK RIGHT  
      	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 1, 1, .5, 8, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 3, 1, 5, 1.6);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, -4, -2, 8, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 1, .5, 13, 1.3);
    Script.WaitSec(3);
    a1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path12", 0, ST_WPT_RUN, 0, 0, 0, 1.1);
    Animal.FaceEntity(a1, entCamera);
    Animal.SetElvOffset(a1, 2.3);
    Animal.SetCoinMode(a1, CM_SPAWNREL);	
    Script.WaitSec(1);	
    b1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path12", 0, ST_WPT_RUN, 0, -.4, .6, 1.1);
    Animal.FaceEntity(b1, entCamera);
    Animal.SetElvOffset(b1, 2.3);
    Animal.SetCoinMode(b1, CM_SPAWNREL);  
    Script.WaitSec(1);  
    	
    Camera.SetPanOffset(entCamera, -1.0, 1.0); --LOOK LEFT
    Camera.SetTiltOffset(entCamera, -2, .5);	
     	
    c1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path12", 0, ST_WPT_RUN, 0, -.3, -.3, 1.1);
    Animal.FaceEntity(c1, entCamera);
    Animal.SetElvOffset(c1, 2.3);
    Animal.SetCoinMode(c1, CM_SPAWNREL);
    
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath19", 0, ST_GRAZING, 4, 0, 0, 1.0);	
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath20", 0, ST_GRAZING, 3.5, 0, 0, .9); 
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath21", 0, ST_WPT_WALK, 5, 0, 0, 1.3);       	
    Script.WaitSec(2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 0, -2, 0, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 0, 1, .5, 8, 1.3);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 1, 0, 0, 0, 1.6);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 1, 3, 1, 3, 1.3);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "LongPath5", 1, -4, -2, 5, 1.0);
    Script.WaitSec(4);
    
    Camera.SetTiltOffset(entCamera, 0, 1.0);
                 	    		  
    end;    

-----------------------------------------------------------------------------

function Part3()

	--DEBUG (1 LINE)
	--Camera.JumpToWaypoint(entCamera, "CamWptII");
	
	Camera.SetSpeed(entCamera, 3.0, 0.1); 
	Camera.StopAtWaypoint(entCamera, "CamWptKK");
	
	b1=EntGame.SpawnAnimalOnPath(AID_KUDU_M, "Path25", 0, ST_GRAZING, 15, 0, 0, 1.0);
	Animal.EnableFear(b1, false);
    Entity.SetName(b1, "Bunny1");
    b2=EntGame.SpawnAnimalOnPath(AID_KUDU_F, "Path24", 0, ST_WPT_WALK, 15, 0, 0, 1.0);
	Animal.EnableFear(b2, false);
    Entity.SetName(b2, "Bunny2");
    
	a1=EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongPath6", 0, ST_WPT_WALK, 10, 0, 0, 1.0);
	Animal.FaceEntity(a1, entCamera);
	Animal.EnableFear(a1, false);
	Entity.SetName(a1, "TargetKudu1");
	a2=EntGame.SpawnAnimalOnPath(AID_KUDU_F, "BunnyPath15", 0, ST_WPT_WALK, 10, 0, 0, 1.1);
	Animal.FaceEntity(a2, entCamera);
	Animal.EnableFear(a2, false);
	Entity.SetName(a2, "TargetKudu2");
	a3=EntGame.SpawnAnimalOnPath(AID_KUDU_M, "BunnyPath16", 0, ST_WPT_WALK, 10, 0, 0, 1.2);
	Animal.FaceEntity(a3, entCamera);
	Animal.EnableFear(a3, false);
	Entity.SetName(a3, "TargetKudu3");	
	
	a4=EntGame.SpawnAnimalOnPath(AID_RHINO_M, "BunnyPath18", 0, ST_WPT_WALK, 10, 0, 0, 1.2);
	Animal.FaceEntity(a4, entCamera);
	Animal.EnableFear(a4, false);
	Animal.SetAttackType(a4, ATK_STATIC);
	Animal.SetAutoChargeDist(a4, 10);	
	Animal.SetStaticAttackDist(a4, 5);
	Animal.SetAttackRepeat(a4, 1);   
	Animal.SetPostAttackRand(a4, false);
	Animal.SetPostAttackDir(a4, -90);	
	Entity.SetName(a4, "AttackingRhino");	
	
    Script.WaitSec(2);  	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path16", 0, 0, 0, 0, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path17", 0, 0, 0, 0, 1.0);
	Script.WaitSec(1.5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path16", 0, 0, 1, 0, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path17", 0, 0, .5, 0, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path16", 0, -2, -1.5, 3, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path17", 0, 4, -3, 5, 1.0);
	Script.WaitSec(2);
	Walk2("Bunny1");
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path16", 0, 0, -1, 0, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path17", 0, 0, 0, 0, 1.0);
	Script.WaitSec(2.5);
	Run("AttackingRhino");
	Run("Bunny1")
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path16", 0, 0, 0, 0, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path17", 0, 0, 0, 0, 1.0);
	Run("TargetKudu3");	
	Script.WaitSec(1);
	Run("Bunny2")	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path16", 0, 0, 1, 0, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path17", 0, 0, .5, 0, 1.0);
	Script.WaitSec(2);
	Run("TargetKudu2");
	Script.WaitSec(.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path16", 0, -2, -1.5, 3, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path17", 0, 4, -3, 5, 1.0);	 
    Run("TargetKudu1");        
    Script.WaitSec(1.25);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path16", 0, 0, -1, 0, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path17", 0, 0, 0, 0, 1.0);
	Script.WaitSec(1.5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path16", 0, 0, 0, 0, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path16", 0, 4, 1.5, 6, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path16", 0, -2, -1.5, 3, 1.0);
	Script.WaitSec(2.5);
		
    Camera.SetSpeed(entCamera, 3.0, 0.1); 
    Camera.StopAtWaypoint(entCamera, "CamWptOO");
    
    Script.WaitSec(1);
    a4=EntGame.SpawnAnimalOnPath(AID_RHINO_M, "BunnyPath18", 0, ST_WPT_RUN, 10, 0, 0, .7);
	Animal.FaceEntity(a4, entCamera);
	Animal.SetAttackType(a4, ATK_STRAFE);
	Animal.SetAutoChargeDist(a4, 15);
	Animal.SetStrafeAttackDist(a4, 8);
	Animal.SetPostAttackTimer(a4, 1);
	Animal.SetPostAttackRand(a4, false);
	Animal.SetPostAttackDir(a4, -90);	 		
	
    Script.WaitSec(7);
    a4=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "BunnyPath18", 0, ST_WPT_RUN, 10, 0, 0, 1.5);
	Animal.FaceEntity(a4, entCamera);
	a5=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "BunnyPath18", 0, ST_WPT_RUN, 10, -1.5, 0, 1.7);
	Animal.FaceEntity(a5, entCamera);
	a6=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "BunnyPath18", 0, ST_WPT_RUN, 10, 0, 1.5, 1.2);
	Animal.FaceEntity(a6, entCamera);
		
    Camera.SetPanOffset(entCamera, -50.0, 1.0); --LOOK LEFT

    Script.WaitSec(1.0);
    c1=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path18", 0, ST_POPUP, 3, 0, 0, 1.2);
    Animal.SetElvOffset(c1, 1.8); 
    Animal.FaceEntity(c1, entCamera);
    Animal.SetCoinMode(c1, CM_SPAWNREL);
    Script.WaitSec(1.5);
    c2=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path19", 0, ST_POPUP, 3, 0, 0, 1.2);
    Animal.SetElvOffset(c2, 2.4); 
    Animal.FaceEntity(c2, entCamera);
    Animal.SetCoinMode(c2, CM_SPAWNREL);
    
    Camera.SetSpeed(entCamera, 2.0, 0.1);	   
	Script.WaitSec(.25);
	Camera.SetSpeed(entCamera, 1.0, 0.1);
	Script.WaitSec(.25);
	Camera.SetSpeed(entCamera, 1.0, 0.1);
	Script.WaitSec(.25);
	Camera.SetSpeed(entCamera, 0.0, 0.1);
		
    Script.WaitSec(3);
    
    Camera.SetPanOffset(entCamera, 56.0, 1.0); --LOOK RIGHT

    Script.WaitSec(1.5);
    c3=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path20", 0, ST_POPUP, 3, 0, 0, 1.2);
    Animal.SetElvOffset(c3, 1.0); 
    Animal.FaceEntity(c3, entCamera);
    Animal.SetCoinMode(c3, CM_SPAWNREL);
    Script.WaitSec(.75);
    c4=EntGame.SpawnAnimalOnPath(AID_MEERKAT_M, "Path21", 0, ST_POPUP, 2, 0, 0, 1.2);
    Animal.SetElvOffset(c4, 1.6); 
    Animal.FaceEntity(c4, entCamera);
    Animal.SetCoinMode(c4, CM_SPAWNREL);	
    Script.WaitSec(1.5);
  
	Camera.SetPanOffset(entCamera, 0.0, 1.5); --LOOK CENTER

    Camera.SetSpeed(entCamera, 1.0, 0.1);	   
	Script.WaitSec(.25);
	Camera.SetSpeed(entCamera, 2.0, 0.1);
	Script.WaitSec(.25);
	Camera.SetSpeed(entCamera, 3.0, 0.1);
	
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath17", 0, 0, -1.5, 0, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 0, 0, 0, 1.0);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path15", 0, ST_WPT_RUN, 0, 0, 1, 1.2); 
	Script.WaitSec(.5);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 0, 2.5, 0, 1.0);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path15", 0, ST_WPT_RUN, 0, 1, 0, 1.2);
	a1=EntGame.SpawnAnimalOnPath(AID_KUDU_M, "Path23", 0, ST_WPT_WALK, 6, 0, 0, 1.2);
	Animal.EnableFear(a1, false);
	Entity.SetName(a1, "Kudu1");	
	
	Script.WaitSec(1.0);
	EntGame.SpawnAnimalOnPath(AID_HARE_M, "Path15", 0, ST_WPT_RUN, 0, 0, 1, 1.2); 
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 0, 0, 0, 1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path22", 0, 0, 1.5, 0, 1.0);
	Script.WaitSec(1.0);
	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath17", 0, 0, -1.5, 0, 1.0);
	a2=EntGame.SpawnAnimalOnPath(AID_KUDU_F, "Path23", 0, ST_WPT_WALK, 8, -2.5, 0, 1.2);
	Animal.EnableFear(a2, false);
	Entity.SetName(a2, "Kudu2");
    Script.WaitSec(4);  	

 	a3=EntGame.SpawnAnimalOnPath(AID_KUDU_M, "Path23", 0, ST_WPT_WALK, 6, 0, 0, 1.2);
 	Animal.EnableFear(a3, false);
 	Entity.SetName(a3, "Kudu3");
    	
    Camera.SetPanOffset(entCamera, 90.0, 1.5); --LOOK RIGHT
    
    a4=EntGame.SpawnAnimalOnPath(AID_KUDU_F, "Path23", 0, ST_WPT_WALK, 6, 0, 0, 1.2);
    Animal.EnableFear(a4, false); 
    Entity.SetName(a4, "Kudu4");		
   	Script.WaitSec(.5); --SHOOT TIME.
   		
   	--WALKING ACROSS BRIDGE
	Sound.Play(smpBoardWalk, 1.5, 3, DS2_CENTER);  
	
	Script.WaitSec(2.0);
   	Run("Kudu1")
   	Script.WaitSec(1.0);
   	Run("Kudu2")
   	Script.WaitSec(1.5);
   	Run("Kudu3")
   	Script.WaitSec(.5);
   	Run("Kudu4")	
   	Script.WaitSec(2);
    Camera.SetPanOffset(entCamera, 0.0, 1.5); --LOOK CENTER 
   		 
    end;    

-----------------------------------------------------------------------------

function Part4()

	--DEBUG (1 LINE)
	--Camera.JumpToWaypoint(entCamera, "CamWptOO");

	Camera.SetSpeed(entCamera, 3.0, 0.1); 
	Camera.StopAtWaypoint(entCamera, "CamWptQQ");
    
	Script.WaitSec(1);
		
	--WALKING ACROSS BRIDGE
	Sound.Play(smpBoardWalk, 1.5, 3, DS2_CENTER);
	
	Script.WaitSec(5);  
	BunnyDash1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath22", 0, ST_WPT_RUN, 0, 0, 0, 1.5);
	Animal.FaceEntity(BunnyDash1, entCamera);
	Script.WaitSec(.5);
	BunnyDash4=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath25", 0, ST_WPT_RUN, 0, 0, 0, 1.1);
	Animal.FaceEntity(BunnyDash4, entCamera);	  
	Script.WaitSec(1);
	BunnyDash2=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath23", 0, ST_WPT_RUN, 0, 0, 0, 1.9);
	Animal.FaceEntity(BunnyDash2, entCamera);
	Script.WaitSec(.5);
	BunnyDash3=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath24", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
	Animal.FaceEntity(BunnyDash3, entCamera);
	Script.WaitSec(1.5);
	BunnyDash4=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath25", 0, ST_WPT_RUN, 0, 0, 0, 1.5);
	Animal.FaceEntity(BunnyDash4, entCamera); 
	BunnyDash1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath24", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
	Animal.FaceEntity(BunnyDash1, entCamera);  
	Script.WaitSec(1);
	BunnyDash2=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath23", 0, ST_WPT_RUN, 0, 0, 0, 1.6);
	Animal.FaceEntity(BunnyDash2, entCamera);
	Script.WaitSec(1.5);
	BunnyDash3=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath22", 0, ST_WPT_RUN, 0, 0, 0, 2.2);
	Animal.FaceEntity(BunnyDash3, entCamera);
	Script.WaitSec(1.0);
	BunnyDash4=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath25", 0, ST_WPT_RUN, 0, 0, 0, 1.1);
	Animal.FaceEntity(BunnyDash4, entCamera);
	BunnyDash2=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath23", 0, ST_WPT_RUN, 0, 0, 0, 1.6);
	Animal.FaceEntity(BunnyDash2, entCamera); 
	Script.WaitSec(1.5);
	BunnyDash1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath22", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
	Animal.FaceEntity(BunnyDash1, entCamera);  	
	BunnyDash3=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath24", 0, ST_WPT_RUN, 0, 0, 0, 1.8);
	Script.WaitSec(.5);
	Animal.FaceEntity(BunnyDash3, entCamera);
	BunnyDash1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath23", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
	Animal.FaceEntity(BunnyDash1, entCamera);
	Script.WaitSec(1.0);
	BunnyDash4=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath25", 0, ST_WPT_RUN, 0, 0, 0, 1.1);
	Animal.FaceEntity(BunnyDash4, entCamera);
	Script.WaitSec(1.0);
	BunnyDash4=EntGame.SpawnAnimalOnPath(AID_RHINO_M, "BunnyPath25", 0, ST_WPT_RUN, 0, 0, 0, 1.1);
	Animal.FaceEntity(BunnyDash4, entCamera); 	  	
	Script.WaitSec(.5);
	BunnyDash4=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath22", 0, ST_WPT_RUN, 0, 0, 0, 1.1);
	Animal.FaceEntity(BunnyDash4, entCamera);	
	Script.WaitSec(1.5);
	
	BunnyDash4=EntGame.SpawnAnimalOnPath(AID_RHINO_M, "BunnyPath22", 0, ST_WPT_RUN, 0, 0, 0, 1.3);
	Animal.FaceEntity(BunnyDash4, entCamera);	
	Animal.SetAutoChargeDist(BunnyDash4, 20);	
	Animal.SetAttackType(BunnyDash4, ATK_STATIC);
	Animal.SetStaticAttackDist(BunnyDash4, 5.2);
	Animal.SetAttackRepeat(BunnyDash4, 2);    
	Animal.SetPostAttackRand(BunnyDash4, false);
	Animal.SetPostAttackDir(BunnyDash4, 90);
		
	Script.WaitSec(3.0);
	EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongerPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.5);
	Script.WaitSec(1.0);
	EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongerPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongerPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.7);
	Script.WaitSec(.5);
	EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongerPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.5);
	Script.WaitSec(1.0);
	EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongerPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.6);
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongerPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.5);
	Script.WaitSec(1.0);
	EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongerPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_KUDU_F, "LongerPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.7);
	Script.WaitSec(.5);
	EntGame.SpawnAnimalOnPath(AID_KUDU_M, "LongerPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.5);
			
	BunnyDash1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath25", 0, ST_WPT_RUN, 0, 0, 0, 1.5);
	Animal.FaceEntity(BunnyDash1, entCamera);
	Script.WaitSec(.5);
	BunnyDash4=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath22", 0, ST_WPT_RUN, 0, 0, 0, 1.1);
	Animal.FaceEntity(BunnyDash4, entCamera);	  
	Script.WaitSec(1);
	BunnyDash2=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath23", 0, ST_WPT_RUN, 0, 0, 0, 1.9);
	Animal.FaceEntity(BunnyDash2, entCamera);
	Script.WaitSec(.5);
	BunnyDash3=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath24", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
	Animal.FaceEntity(BunnyDash3, entCamera);
	Script.WaitSec(1);
	BunnyDash1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath25", 0, ST_WPT_RUN, 0, 0, 0, 1.5);
	Animal.FaceEntity(BunnyDash1, entCamera);
    Script.WaitSec(2);

    end;
    	
-----------------------------------------------------------------------------

function Part5()

    --Camera.JumpToWaypoint(entCamera, "CamWptQQ");
    	
    Camera.SetSpeed(entCamera, 2.0, 0.1); 
    Camera.StopAtWaypoint(entCamera, "CamWptUU");

    a1=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BunnyPath30", 0, ST_GRAZING, 20, 0, 0, 1.0);
    Animal.EnableFear(a1, false);
	Entity.SetName(a1, "Hippo1");
	b1=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BunnyPath31", 0, ST_GRAZING, 20, 0, 0, 1.0);
    Animal.EnableFear(b1, false);
	Entity.SetName(b1, "Hippo2");
	b2=EntGame.SpawnAnimalOnPath(AID_HIPPO_M, "BunnyPath34", 0, ST_GRAZING, 32, 0, 0, 1.0);
    Animal.EnableFear(b2, false);
	Entity.SetName(b2, "Hippo3");
	c1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath12", 0, ST_GRAZING, 80, 0, 0, 1.5);
    Animal.EnableFear(c1, false);
	Entity.SetName(c1, "Hare1");
	c2=EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath12", 1, ST_GRAZING, 80, 0, 0, 1.5);
    Animal.EnableFear(c2, false);
	Entity.SetName(c2, "Hare2");
	c3=EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath12", 2, ST_GRAZING, 80, 0, 0, 1.5);
    Animal.EnableFear(c3, false);
	Entity.SetName(c3, "Hare3");
	c4=EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath12", 3, ST_GRAZING, 80, 0, 0, 1.5);
    Animal.EnableFear(c4, false);
	Entity.SetName(c4, "Hare4");
	c5=EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath12", 4, ST_GRAZING, 80, 0, 0, 1.5);
    Animal.EnableFear(c5, false);
	Entity.SetName(c5, "Hare5");
	c6=EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath11", 0, ST_GRAZING, 80, 0, 0, 1.5);
    Animal.EnableFear(c6, false);
	Entity.SetName(c6, "Hare6");
	c7=EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath11", 2, ST_GRAZING, 80, 0, 0, 1.5);
    Animal.EnableFear(c7, false);
	Entity.SetName(c7, "Hare7");
	c8=EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath11", 4, ST_GRAZING, 80, 0, 0, 1.5);
    Animal.EnableFear(c8, false);
	Entity.SetName(c8, "Hare8");
	c9=EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath10", 4, ST_GRAZING, 80, 0, 0, 1.5);
    Animal.EnableFear(c9, false);
	Entity.SetName(c9, "Hare9");
			
    Script.WaitSec(4);
    	
    d1=EntGame.SpawnAnimalOnPath(AID_KUDU_M, "BunnyPath33", 0, ST_WPT_WALK, 0, 0, 0, 1.0);
    Animal.EnableFear(d1, false);
	Entity.SetName(d1, "Kudu1");	
		
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath26", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path26", 0, 0, 0, 0, 1.2);	
    e1=EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath27", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
    Animal.FaceEntity(e1, entCamera);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path26", 0, 0, -1, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path26", 0, 0, 1, -2, 1.2);
    Script.WaitSec(1.0);
    
    d2=EntGame.SpawnAnimalOnPath(AID_KUDU_F, "BunnyPath33", 1, ST_GRAZING, 20, 0, 0, 1.0);
    Animal.EnableFear(d2, false);
	Entity.SetName(d2, "Kudu2");
	d3=EntGame.SpawnAnimalOnPath(AID_KUDU_M, "BunnyPath33", 2, ST_GRAZING, 18, 0, 0, 1.0);
    Animal.EnableFear(d3, false);
	Entity.SetName(d3, "Kudu3");			
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path26", 0, 0, .5, 0, 1.2);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path26", 0, 0, -1, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path26", 0, 0, 1, -2, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path26", 0, 2, 0, 1.5, 1.2);	
    Script.WaitSec(1);	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "Path26", 0, 0, 0, 0, 1.2);	
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath28", 0, ST_WPT_RUN, 0, 0, 0, 1.0); 
    Script.WaitSec(3);
    Run("Kudu1");   	
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath29", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
    Script.WaitSec(.5);	   
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath29", 0, ST_WPT_RUN, 0, -2, 0, 1.0);
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, 0, -1, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, 0, 1, -2, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, 2, 0, 1.5, 1.2);		
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "BunnyPath29", 0, ST_WPT_RUN, 0, 2, 0, 1.0); 
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, 0, 0, 0, 1.2);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, 0, -1, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, 0, 1, -2, 1.2);		
    Script.WaitSec(2);	
    Walk2("Hare6");	
    Script.WaitSec(2.0);
    Run("Kudu2");	
    Walk2("Hare2");
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath9", 0, ST_WPT_RUN, 0, 0, 0, 1.5);	
    Graze2("Hare2");		
    Script.WaitSec(.5);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath9", 0, ST_WPT_RUN, 0, 0, 0, 1.5);			
    Graze2("Hare6");
    Script.WaitSec(4.0);
   	EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, 0, -1, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, 0, 1, -2, 1.2);
    EntGame.SpawnAnimalOnPath(AID_KUDU_F, "BunnyPath33", 0, ST_WPT_RUN, 0, 0, 0, 1.5);	
    Run("Kudu3");	
    Walk2("Hare2");
    Script.WaitSec(1.0);
    EntGame.SpawnAnimalOnPath(AID_KUDU_M, "BunnyPath33", 0, ST_WPT_RUN, 0, 0, 0, 1.5);	
    Walk2("Hare6");
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath32", 0, 0, 1, -2, 1.2);	
    EntGame.SpawnAnimalOnPath(AID_KUDU_M, "BunnyPath33", 0, ST_WPT_RUN, 0, 0, 0, 1.5);	
    Graze2("Hare2");
    Script.WaitSec(.5);	
    Graze2("Hare6");
    Walk2("Hare7");		
    Script.WaitSec(2);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath9", 0, ST_WPT_RUN, 0, 0, 0, 1.5);	
    Graze2("Hare7");	
    Script.WaitSec(4);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath9", 0, ST_WPT_RUN, 0, 0, 0, 1.5);	
    Gone("Hare1");
    Gone("Hare2");
    Gone("Hare6");
    Walk2("Hare7");	
    Script.WaitSec(2);
    Graze2("Hare7");	
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath35", 0, 0, 0, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath36", 0, 0, 0, 0, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath37", 0, 0, 0, -2, 1.4);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath9", 0, ST_WPT_RUN, 0, 0, 0, 1.5);	
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath35", 0, 0, -1, 0, 1.1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath36", 0, 2, 0, 1.5, 1.3);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath37", 0, -2, .5, 3, 1.2);
    
    Camera.SetTiltOffset(entCamera, 15.0, 1.0);
    EntGame.SpawnAnimalOnPath(AID_HARE_M, "LongerPath9", 0, ST_WPT_RUN, 0, 0, 0, 1.5);
    Gone("Hare3");
    Gone("Hare4");
    Gone("Hare7");	
    
    Script.WaitSec(1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath35", 0, -1.5, 2, 1.5, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath37", 0, 4, -1.5, 0, 1.2);
    Script.WaitSec(1.5);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath35", 0, 2, 1.5, 3, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath36", 0, 4, -1.5, 4, 1.1);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath37", 0, 0, -1, 0, 1.2);	
    Script.WaitSec(2.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath36", 0, 0, 0, 0, 1.0);
    EntGame.SpawnBirdOnPath(AID_SPURWINGGOOSE_M, "BunnyPath37", 0, 0, 0, -1.5, 1.4); 	

    end;    

-----------------------------------------------------------------------------
-- Main entry point
   
Setup();   
Part1();
Part2();
Part3();
Part4();
Part5();   